.. Open Infrastructure: compute-tools

.. Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
..
.. SPDX-License-Identifier: GPL-3.0+
..
.. This program is free software: you can redistribute it and/or modify
.. it under the terms of the GNU General Public License as published by
.. the Free Software Foundation, either version 3 of the License, or
.. (at your option) any later version.
..
.. This program is distributed in the hope that it will be useful,
.. but WITHOUT ANY WARRANTY; without even the implied warranty of
.. MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.. GNU General Public License for more details.
..
.. You should have received a copy of the GNU General Public License
.. along with this program.  If not, see <https://www.gnu.org/licenses/>.

==============
container-info
==============

----------------------------------------
Show specific information of a container
----------------------------------------

:manual section: 1
:manual group: Open Infrastructure

Synopsis
========

| **container info** ['OPTIONS']

Description
===========

The **container info** command shows specific information of a container.

Options
=======

The following **container info** options are available, defaults to '--status
--os --ip':

-n, --name='NAME':
  Specify container name. Specifying 'ALL' will start all stopped container.

--status:
  Show container status (started|stopped|other).

--os:
  Show container operating system (FIXME: Debian only).

--ip:
  Show container IP address.

Examples
========

Show example.net container status:

  sudo container info -n example.net --status

Show example.net container operating system:

  sudo container info -n example.net --os

Show example.net container IP address:

  sudo container info -n example.net --ip

See also
========

| compute-tools(7),
| container(1).

Homepage
========

More information about compute-tools and the Open Infrastructure project can be
found on the homepage (https://open-infrastructure.net).

Contact
=======

Bug reports, feature requests, help, patches, support and everything else are
welcome on the Open Infrastructure Software Mailing List
<software@lists.open-infrastructure.net>.

Debian specific bugs can also be reported in the Debian Bug Tracking System
(https://bugs.debian.org).

Authors
=======

compute-tools were written by Daniel Baumann
<daniel.baumann@open-infrastructure.net> and others.
